/*!
	\file VectorNd.h
	\brief This file defines a few useful simple structures representing vectors of dimension 2, 3 and 4.

	Information :
		- Author	: Vincent PRAT (vprat@ifrance.com)
		- Created	: 10-07-2001 (dd-mm-yyyy)
		- Modified	: 12-07-2001 (dd-mm-yyyy)

	Copyright  2001 Vincent PRAT
*/

#ifndef __VECTORND_H__
#define __VECTORND_H__

// disable the warning "conversion from 'double' to 'float', possible loss of data"
#pragma warning( disable : 4244 ) 

//--------------------------------------------------------
//  Definition of structures for vertex and vectors
//--------------------------------------------------------

/*!
	\struct Vector2d

	contains the coordinates of a 2D point (x and y)
*/

struct Vector2d
{
	double x;
	double y;
};

/*!
	\struct Vector3d

	contains the coordinates of a 3D point (x, y and z)
*/

struct Vector3d
{
	double x;
	double y;
	double z;
};

/*!
	\struct Vector4d

	contains the coordinates of a 4D point (homogenous space) (x, y, z and w)
*/

struct Vector4d
{
	double x;
	double y;
	double z;
	double w;
};

#endif